Method: documents.batchGet

Retrieves multiple documents, each with its full Markdown content.

HTTP request

GET https://developerknowledge.googleapis.com/v1alpha/documents:batchGet

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
names[]

string

Required. Specifies the names of the documents to retrieve. A maximum of 20 documents can be retrieved in a batch. The documents are returned in the same order as the names in the request.

Format: documents/{uri_without_scheme} Example: documents/docs.cloud.google.com/storage/docs/creating-buckets

Request body

The request body must be empty.

Response body

Response message for DeveloperKnowledge.BatchGetDocuments.

If successful, the response body contains data with the following structure:

JSON representation
{
  "documents": [
    {
      object (Document)
    }
  ]
}
Fields
documents[]

object (Document)

Contains the documents requested.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/devprofiles.full_control
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.